package jalview.ext.archaeopteryx;

import jalview.math.MatrixI;

import org.forester.evoinference.matrix.distance.DistanceMatrix;

public class MatrixConversionFactory
{
  DistanceMatrix foresterMatrix;

  MatrixI jalviewMatrix;

  public static MatrixConversionFactory createConverter(
          DistanceMatrix foresterInputMatrix)
  {
    MatrixConversionFactory converter = new MatrixConversionFactory();
    converter.convertForesterToJalview(foresterInputMatrix);
    return converter;

  }

  public static MatrixConversionFactory createConverter(MatrixI jalviewInputMatrix)
  {
    MatrixConversionFactory converter = new MatrixConversionFactory();
    converter.convertJalviewToForester(jalviewInputMatrix);
    return converter;

  }

  private DistanceMatrix convertJalviewToForester(
          MatrixI jalviewMatrix)
  {
    this.jalviewMatrix = jalviewMatrix;
    return foresterMatrix;

  }

  private MatrixI convertForesterToJalview(
          DistanceMatrix foresterMatrix)
  {
    this.foresterMatrix = foresterMatrix;

    return jalviewMatrix;
  }

  protected DistanceMatrix getForesterMatrix()
  {
    return foresterMatrix;
  }

  protected void setForesterMatrix(DistanceMatrix foresterMatrix)
  {
    this.foresterMatrix = foresterMatrix;
  }

  protected MatrixI getJalviewMatrix()
  {
    return jalviewMatrix;
  }

  protected void setJalviewMatrix(MatrixI jalviewMatrix)
  {
    this.jalviewMatrix = jalviewMatrix;
  }

}
