package jalview.ext.archaeopteryx;

import jalview.math.MatrixI;

import org.forester.evoinference.matrix.distance.DistanceMatrix;

public class MatrixConverter
{
  DistanceMatrix foresterMatrix;

  MatrixI jalviewMatrix;

  public static MatrixConverter createConverter(
          DistanceMatrix foresterInputMatrix)
  {
    MatrixConverter converter = new MatrixConverter();
    converter.setForesterMatrix(foresterInputMatrix);
    return converter;

  }

  public static MatrixConverter createConverter(MatrixI jalviewInputMatrix)
  {
    MatrixConverter converter = new MatrixConverter();
    converter.setJalviewMatrix(jalviewInputMatrix);
    return converter;

  }

  protected DistanceMatrix getForesterMatrix()
  {
    return foresterMatrix;
  }

  protected void setForesterMatrix(DistanceMatrix foresterMatrix)
  {
    this.foresterMatrix = foresterMatrix;
  }

  protected MatrixI getJalviewMatrix()
  {
    return jalviewMatrix;
  }

  protected void setJalviewMatrix(MatrixI jalviewMatrix)
  {
    this.jalviewMatrix = jalviewMatrix;
  }

}
